"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactFileViewer = _interopRequireDefault(require("react-file-viewer"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _DocumentViewerError = _interopRequireDefault(require("../DocumentViewerError"));

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DocumentViewerObject = props => {
  const {
    url
  } = props;

  const FallbackComponent = _react.default.useCallback(() => /*#__PURE__*/_react.default.createElement(_DocumentViewerError.default, props), []);

  return /*#__PURE__*/_react.default.createElement(_reactFileViewer.default, {
    errorComponent: FallbackComponent,
    fileType: (0, _utils.getFileType)(url),
    filePath: url,
    unsupportedComponent: FallbackComponent
  });
};

DocumentViewerObject.propTypes = {
  url: _propTypes.default.string.isRequired
};
var _default = DocumentViewerObject;
exports.default = _default;