"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _core = require("@material-ui/core");

var _lodash = require("lodash");

var _useVisibility = _interopRequireDefault(require("../useVisibility"));

var _utils = require("../utils");

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const GalleryItemMedia = ({
  children,
  url
}) => {
  const [imageSrc, setImageSrc] = _react.default.useState(null);

  const [loading, setLoading] = _react.default.useState(true);

  const {
    isVisible,
    ref
  } = (0, _useVisibility.default)();
  const fileType = (0, _utils.getFileType)(url);
  const cls = (0, _styles.default)({
    fileType
  });

  const clearLoader = () => setLoading(false);

  const handleError = () => {
    setImageSrc(false);
  };

  _react.default.useEffect(() => {
    var _process;

    const apiKey = (0, _lodash.isObject)((_process = process) === null || _process === void 0 ? void 0 : _process.env) ? process.env.STORYBOOK_THUMBNAIL_API_KEY || process.env.GATSBY_THUMBNAIL_API_KEY || process.env.Q3_THUMBNAIL_API_KEY : null;
    if (apiKey && url) setImageSrc(`https://thumbnails.cloud/v1/jpg?token=${apiKey}&url=${encodeURIComponent(url)}`);
  }, []);

  return /*#__PURE__*/_react.default.createElement(_core.CardMedia, {
    className: cls.media,
    ref: ref
  }, /*#__PURE__*/_react.default.createElement(_core.Fade, {
    in: isVisible
  }, imageSrc ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("img", {
    alt: "thumbnail",
    draggable: false,
    onLoad: clearLoader,
    onError: handleError,
    className: cls.img,
    src: imageSrc
  }), loading && /*#__PURE__*/_react.default.createElement(_core.Box, {
    className: cls.loader,
    position: "absolute"
  }, /*#__PURE__*/_react.default.createElement(_core.CircularProgress, null))) : /*#__PURE__*/_react.default.createElement(_core.Box, {
    className: cls.icon
  }, children)));
};

GalleryItemMedia.defaultProps = {
  children: null,
  url: undefined
};
GalleryItemMedia.propTypes = {
  children: _propTypes.default.oneOfType([_propTypes.default.node, _propTypes.default.element]),
  url: _propTypes.default.string
};
var _default = GalleryItemMedia;
exports.default = _default;