"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _printJs = _interopRequireDefault(require("print-js"));

var _lodash = require("lodash");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const usePrint = () => {
  const getElement = container => {
    if (container instanceof Node) return container;
    if ((0, _lodash.isString)(container)) return document.getElementById(container);
    return null;
  };

  return (options = {}) => {
    let position = null;
    let top = 0;
    const dataAttributeName = 'data-printing';
    const {
      printContainer,
      scrollContainer
    } = options;
    const printElement = getElement(printContainer);
    const scrollElement = getElement(scrollContainer);

    const move = () => scrollElement.scrollTo({
      behavior: 'auto',
      left: 0,
      top
    });

    const resetScrollElement = () => {
      top = 0;
      move();
      scrollElement.removeAttribute(dataAttributeName);
    };

    const startScrolling = () => {
      scrollElement.setAttribute(dataAttributeName, true);
      const checkIfScrollIsStatic = setInterval(() => {
        if (position >= scrollElement.scrollHeight - scrollElement.clientHeight) {
          clearInterval(checkIfScrollIsStatic);
          (0, _printJs.default)(printElement.id, 'html');
          resetScrollElement();
          return;
        }

        position = scrollElement.scrollTop;
        top += scrollElement.clientHeight / 4;
        move();
      }, 20);
    };

    if (printElement !== null && printElement !== void 0 && printElement.id && scrollElement) {
      startScrolling();
    }
  };
};

var _default = usePrint;
exports.default = _default;